AnnotationVisitor
Date: 2017-03-29

com.thoughtworks.qdox.model.annotation

## Interface AnnotationVisitor

- All Known Implementing Classes:
    EvaluatingVisitor, RecursiveAnnotationVisitor

      public interface AnnotationVisitor

  Visitor class for the annotation model elements

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `visitAnnotation(Annotation annotation)`
    `java.lang.Object` | `visitAnnotationAdd(AnnotationAdd add)`
    `java.lang.Object` | `visitAnnotationAnd(AnnotationAnd and)`
    `java.lang.Object` | `visitAnnotationCast(AnnotationCast annotationCast)`
    `java.lang.Object` | `visitAnnotationConstant(AnnotationConstant constant)`
    `java.lang.Object` | `visitAnnotationDivide(AnnotationDivide divide)`
    `java.lang.Object` | `visitAnnotationEquals(AnnotationEquals annotationEquals)`
    `java.lang.Object` | `visitAnnotationExclusiveOr(AnnotationExclusiveOr annotationExclusiveOr)`
    `java.lang.Object` | `visitAnnotationFieldRef(AnnotationFieldRef fieldRef)`
    `java.lang.Object` | `visitAnnotationGreaterEquals(AnnotationGreaterEquals greaterEquals)`
    `java.lang.Object` | `visitAnnotationGreaterThan(AnnotationGreaterThan greaterThan)`
    `java.lang.Object` | `visitAnnotationLessEquals(AnnotationLessEquals lessEquals)`
    `java.lang.Object` | `visitAnnotationLessThan(AnnotationLessThan lessThan)`
    `java.lang.Object` | `visitAnnotationLogicalAnd(AnnotationLogicalAnd and)`
    `java.lang.Object` | `visitAnnotationLogicalNot(AnnotationLogicalNot not)`
    `java.lang.Object` | `visitAnnotationLogicalOr(AnnotationLogicalOr or)`
    `java.lang.Object` | `visitAnnotationMinusSign(AnnotationMinusSign sign)`
    `java.lang.Object` | `visitAnnotationMultiply(AnnotationMultiply multiply)`
    `java.lang.Object` | `visitAnnotationNot(AnnotationNot not)`
    `java.lang.Object` | `visitAnnotationNotEquals(AnnotationNotEquals annotationNotEquals)`
    `java.lang.Object` | `visitAnnotationOr(AnnotationOr or)`
    `java.lang.Object` | `visitAnnotationParenExpression(AnnotationParenExpression expression)`
    `java.lang.Object` | `visitAnnotationPlusSign(AnnotationPlusSign sign)`
    `java.lang.Object` | `visitAnnotationQuery(AnnotationQuery annotationQuery)`
    `java.lang.Object` | `visitAnnotationRemainder(AnnotationRemainder remainder)`
    `java.lang.Object` | `visitAnnotationShiftLeft(AnnotationShiftLeft left)`
    `java.lang.Object` | `visitAnnotationShiftRight(AnnotationShiftRight right)`
    `java.lang.Object` | `visitAnnotationSubtract(AnnotationSubtract subtract)`
    `java.lang.Object` | `visitAnnotationTypeRef(AnnotationTypeRef typeRef)`
    `java.lang.Object` | `visitAnnotationUnsignedShiftRight(AnnotationUnsignedShiftRight right)`
    `java.lang.Object` | `visitAnnotationValueList(AnnotationValueList valueList)`

- - ### Method Detail

    - #### visitAnnotationAdd

          java.lang.Object visitAnnotationAdd(AnnotationAdd add)

    - #### visitAnnotationSubtract

          java.lang.Object visitAnnotationSubtract(AnnotationSubtract subtract)

    - #### visitAnnotationMultiply

          java.lang.Object visitAnnotationMultiply(AnnotationMultiply multiply)

    - #### visitAnnotationDivide

          java.lang.Object visitAnnotationDivide(AnnotationDivide divide)

    - #### visitAnnotationGreaterThan

          java.lang.Object visitAnnotationGreaterThan(AnnotationGreaterThan greaterThan)

    - #### visitAnnotationLessThan

          java.lang.Object visitAnnotationLessThan(AnnotationLessThan lessThan)

    - #### visitAnnotation

          java.lang.Object visitAnnotation(Annotation annotation)

    - #### visitAnnotationConstant

          java.lang.Object visitAnnotationConstant(AnnotationConstant constant)

    - #### visitAnnotationParenExpression

          java.lang.Object visitAnnotationParenExpression(AnnotationParenExpression expression)

    - #### visitAnnotationValueList

          java.lang.Object visitAnnotationValueList(AnnotationValueList valueList)

    - #### visitAnnotationTypeRef

          java.lang.Object visitAnnotationTypeRef(AnnotationTypeRef typeRef)

    - #### visitAnnotationFieldRef

          java.lang.Object visitAnnotationFieldRef(AnnotationFieldRef fieldRef)

    - #### visitAnnotationLessEquals

          java.lang.Object visitAnnotationLessEquals(AnnotationLessEquals lessEquals)

    - #### visitAnnotationGreaterEquals

          java.lang.Object visitAnnotationGreaterEquals(AnnotationGreaterEquals greaterEquals)

    - #### visitAnnotationRemainder

          java.lang.Object visitAnnotationRemainder(AnnotationRemainder remainder)

    - #### visitAnnotationOr

          java.lang.Object visitAnnotationOr(AnnotationOr or)

    - #### visitAnnotationAnd

          java.lang.Object visitAnnotationAnd(AnnotationAnd and)

    - #### visitAnnotationShiftLeft

          java.lang.Object visitAnnotationShiftLeft(AnnotationShiftLeft left)

    - #### visitAnnotationShiftRight

          java.lang.Object visitAnnotationShiftRight(AnnotationShiftRight right)

    - #### visitAnnotationNot

          java.lang.Object visitAnnotationNot(AnnotationNot not)

    - #### visitAnnotationLogicalOr

          java.lang.Object visitAnnotationLogicalOr(AnnotationLogicalOr or)

    - #### visitAnnotationLogicalAnd

          java.lang.Object visitAnnotationLogicalAnd(AnnotationLogicalAnd and)

    - #### visitAnnotationLogicalNot

          java.lang.Object visitAnnotationLogicalNot(AnnotationLogicalNot not)

    - #### visitAnnotationMinusSign

          java.lang.Object visitAnnotationMinusSign(AnnotationMinusSign sign)

    - #### visitAnnotationPlusSign

          java.lang.Object visitAnnotationPlusSign(AnnotationPlusSign sign)

    - #### visitAnnotationUnsignedShiftRight

          java.lang.Object visitAnnotationUnsignedShiftRight(AnnotationUnsignedShiftRight right)

    - #### visitAnnotationEquals

          java.lang.Object visitAnnotationEquals(AnnotationEquals annotationEquals)

    - #### visitAnnotationNotEquals

          java.lang.Object visitAnnotationNotEquals(AnnotationNotEquals annotationNotEquals)

    - #### visitAnnotationExclusiveOr

          java.lang.Object visitAnnotationExclusiveOr(AnnotationExclusiveOr annotationExclusiveOr)

    - #### visitAnnotationQuery

          java.lang.Object visitAnnotationQuery(AnnotationQuery annotationQuery)

    - #### visitAnnotationCast

          java.lang.Object visitAnnotationCast(AnnotationCast annotationCast)